---
title: "Update payment slip"

doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/docs/admin-rest-api/order/payment/update-payment-slip'
  md: 'https://developer.shopline.com/docs/admin-rest-api/order/payment/update-payment-slip.md'
---
# Update payment slip

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `write_orders`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
POST /orders/update_transactions.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` .

## Required Permissions

* `write_orders`

## Request

### Request Headers

* `Content-Type`

  string (required)

  The field must be set to the fixed value `application/json; charset=utf-8`.

* `Authorization`

  string (required)

   The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. 

### Request Body

* `transactions`

  array<object>

  Payment slip information list , up to 100

  * `amount`

    double

    Payment amount , only supports two decimals . payment success cannot be reduced

  * `currency`

    string

    Currency

  * `gateway`

    string

    Payment method, only support offline payment customPay

  * `id`

    string

    Payment slip number

  * `kind`

    string

    Currently only support sale , not passed down default to sale )

  * `order_id`

    string

    Order number

  * `payment_details`

    object

    Additional field

    * `pay_channel_deal_id`

      string

      External channel payment serial number

  * `status`

    string

    Payment status unpaid ( not paid ) , paid ( paid success ) 、paid_failed ( paid failure )-payment success to state does not allow modification

## Response

### Status Codes

* `200`

  For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).

* `401`

  

* `429`

  

### Response Headers

* `traceId`

  A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.

### Response Body

#### 200

* `transaction_list`

  array<object>

  Payment slip listing

  * `create_at`

    string

    Creation time

  * `id`

    string

    Payment slip number

  * `order_id`

    string

    Order number

  * `pay_channel_deal_id`

    string

    External channel payment serial number

  * `status`

    string

    Payment status

  * `amount`

    double

    Payment amount


#### 401

* `errors`

  string

  Error message. 


#### 429

* `errors`

  string

  Error message. 


## OpenAPI Definition

```json
{
  "externalDocs": {
    "description": "Permission point used by the interface is `write_orders` , For more information about the use of permission points, see",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=en",
    "errorTableDescription": ""
  },
  "operationId": "uOlgGTaP",
  "parameters": [
    {
      "name": "Content-Type",
      "in": "header",
      "description": "The field must be set to the fixed value `application/json; charset=utf-8`.",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": " The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. ",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": " The access token for the API. Please refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then put the obtained access token into the API request header in Bearer Token.",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "requestBody": {
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "properties": {
            "transactions": {
              "name": "transactions",
              "description": "Payment slip information list , up to 100",
              "type": "array",
              "items": {
                "name": "transactions",
                "description": "Payment slip information list , up to 100",
                "type": "object",
                "properties": {
                  "amount": {
                    "name": "amount",
                    "description": "Payment amount , only supports two decimals . payment success cannot be reduced",
                    "type": "double",
                    "example": 0
                  },
                  "currency": {
                    "name": "currency",
                    "description": "Currency",
                    "type": "string",
                    "example": ""
                  },
                  "gateway": {
                    "name": "gateway",
                    "description": "Payment method, only support offline payment customPay",
                    "type": "string",
                    "example": ""
                  },
                  "id": {
                    "name": "id",
                    "description": "Payment slip number",
                    "type": "string",
                    "example": ""
                  },
                  "kind": {
                    "name": "kind",
                    "description": "Currently only support sale , not passed down default to sale )",
                    "type": "string",
                    "example": ""
                  },
                  "order_id": {
                    "name": "order_id",
                    "description": "Order number",
                    "type": "string",
                    "example": ""
                  },
                  "payment_details": {
                    "name": "payment_details",
                    "description": "Additional field",
                    "type": "object",
                    "properties": {
                      "pay_channel_deal_id": {
                        "name": "pay_channel_deal_id",
                        "description": "External channel payment serial number",
                        "type": "string",
                        "example": ""
                      }
                    },
                    "example": {
                      "pay_channel_deal_id": ""
                    }
                  },
                  "status": {
                    "name": "status",
                    "description": "Payment status unpaid ( not paid ) , paid ( paid success ) 、paid_failed ( paid failure )-payment success to state does not allow modification",
                    "type": "string",
                    "example": ""
                  }
                },
                "required": [
                  "amount",
                  "currency",
                  "gateway",
                  "id",
                  "order_id",
                  "status"
                ],
                "example": {
                  "currency": "",
                  "gateway": "",
                  "id": "",
                  "kind": "",
                  "order_id": "",
                  "payment_details": {
                    "pay_channel_deal_id": ""
                  },
                  "status": "",
                  "amount": 0
                }
              },
              "example": [
                {
                  "gateway": "",
                  "id": "",
                  "kind": "",
                  "order_id": "",
                  "payment_details": {
                    "pay_channel_deal_id": ""
                  },
                  "status": "",
                  "amount": 0,
                  "currency": ""
                }
              ]
            }
          },
          "required": [
            "transactions"
          ],
          "example": {
            "transactions": [
              {
                "kind": "",
                "order_id": "",
                "payment_details": {
                  "pay_channel_deal_id": ""
                },
                "status": "",
                "amount": 0,
                "currency": "",
                "gateway": "",
                "id": ""
              }
            ]
          }
        }
      }
    },
    "required": true
  },
  "responses": {
    "200": {
      "description": "For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).",
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "transaction_list": {
                "name": "transaction_list",
                "description": "Payment slip listing",
                "type": "array",
                "items": {
                  "name": "transaction_list",
                  "description": "Payment slip listing",
                  "type": "object",
                  "properties": {
                    "create_at": {
                      "name": "create_at",
                      "description": "Creation time",
                      "type": "string",
                      "example": ""
                    },
                    "id": {
                      "name": "id",
                      "description": "Payment slip number",
                      "type": "string",
                      "example": ""
                    },
                    "order_id": {
                      "name": "order_id",
                      "description": "Order number",
                      "type": "string",
                      "example": ""
                    },
                    "pay_channel_deal_id": {
                      "name": "pay_channel_deal_id",
                      "description": "External channel payment serial number",
                      "type": "string",
                      "example": ""
                    },
                    "status": {
                      "name": "status",
                      "description": "Payment status",
                      "type": "string",
                      "example": ""
                    },
                    "amount": {
                      "name": "amount",
                      "description": "Payment amount",
                      "type": "double",
                      "example": 0
                    }
                  },
                  "example": {
                    "pay_channel_deal_id": "",
                    "status": "",
                    "amount": 0,
                    "create_at": "",
                    "id": "",
                    "order_id": ""
                  }
                },
                "example": [
                  {
                    "amount": 0,
                    "create_at": "",
                    "id": "",
                    "order_id": "",
                    "pay_channel_deal_id": "",
                    "status": ""
                  }
                ]
              }
            },
            "example": {
              "transaction_list": [
                {
                  "status": "",
                  "amount": 0,
                  "create_at": "",
                  "id": "",
                  "order_id": "",
                  "pay_channel_deal_id": ""
                }
              ]
            }
          }
        }
      }
    },
    "401": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    },
    "429": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "method": "post",
  "path": "/orders/update_transactions.json",
  "servers": [
    {
      "url": "https://{handle}.myshopline.com/admin/openapi",
      "variables": {
        "handle": {
          "default": "openapiceshidianpu",
          "description": "`handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` ."
        }
      }
    }
  ],
  "info": {
    "title": "Update payment slip",
    "version": "v20270301"
  },
  "authIndexes": [
    "write_orders"
  ]
}
```